Subject: bug#1045: #1045 - 23.0.60; (Cocoa Emacs) - Emacs bug report logs

From: Adrian Robert <[email-masked]>
Date: Sun, 5 Oct 2008 22:35:30 -0400

> Using "configure --with-ns" on Leopard: Using M-x gdb with gdb-many- 
> values set to t, the associated buffers, e.g., stack locals etc.  
> have an extra ^M at the end of each line

If you get a chance, could you see if this happens with an X11 emacs  
on OS X?  I'm not aware of any code in the Cocoa port that would set  
things relating to line endings (or anything else non-graphical -- it  
just renders glyphs and faces given to it by xdisp.c), but perhaps  
it's some kind of weird interaction with the system-detected line  
ending format?

Or are there some line-ending-related settings that gud does.. hmm, I  
see you are listed as the maintainer of progmodes/gdb-ui.el -- would  
you know anything about this?